PHP Manual
Prev |  | Next

# spl_object_hash

(PHP 5 >= 5.2.0)

spl_object_hash -- Return hash id for given object

## Description

string spl_object_hash ( object obj )

This function returns an unique identifier for the object. This id can be used as a hash key for storing objects or for identifying an object.

## Parameters

`class`

  Any object.

## Return Values

Returns string that is unique for each object and is always the same for the same object.

## Examples

Example 1. A spl_object_hash() example

`<?php $id = spl_object_hash($object); $storage[$id] = $object; ?>`

Prev | Home | Next
spl_classes | Up | SQLite Functions